#!/usr/bin/env python

import sys
from pyraf import iraf

def run_find(infile):

    iraf.images()
    iraf.imstat.fields='midpt,stddev'
    iraf.imstat.lower=0
    iraf.imstat.upper=15000
    iraf.imstat.nclip=10
    out_imstat=iraf.imstat(infile,Stdout=1)
    skylevel, stddev=out_imstat[1].split()

    iraf.digiphot(_doprint=0)
    iraf.apphot(_doprint=0)

    iraf.apphot.datapars.fwhmpsf=2.2
    iraf.apphot.datapars.sigma=float(stddev)
    iraf.apphot.datapars.datamin=float(skylevel)-6*float(stddev)
    iraf.apphot.datapars.datamax=15000
    iraf.apphot.datapars.readnoise=30
    iraf.apphot.datapars.epadu=5
    iraf.apphot.findpars.threshold=10

    iraf.daofind(infile, output='default')


if __name__ == "__main__":
    run_find(sys.argv[1])
